aboutsummaryrefslogtreecommitdiffstats
path: root/icefuzz/pinloc/pinloc-8k-cb132.sh
diff options
context:
space:
mode:
Diffstat (limited to 'icefuzz/pinloc/pinloc-8k-cb132.sh')
-rw-r--r--icefuzz/pinloc/pinloc-8k-cb132.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/icefuzz/pinloc/pinloc-8k-cb132.sh b/icefuzz/pinloc/pinloc-8k-cb132.sh
index 655fefc..c9c5a6f 100644
--- a/icefuzz/pinloc/pinloc-8k-cb132.sh
+++ b/icefuzz/pinloc/pinloc-8k-cb132.sh
@@ -12,6 +12,11 @@ pins="
P1 P2 P3 P4 P5 P7 P8 P9 P10 P11 P12 P13 P14
"
+if [ $(echo $pins | wc -w) -ne 95 ]; then
+ echo "Incorrect number of pins:" $(echo $pins | wc -w)
+ exit 1
+fi
+
{
echo -n "all:"
for pin in $pins; do
@@ -27,6 +32,7 @@ pins="
echo; echo "${id}.exp:"
echo " ICEDEV=hx8k-cb132 bash ../icecube.sh ${id} > ${id}.log 2>&1"
echo " ../../icebox/icebox_explain.py ${id}.asc > ${id}.exp.new"
+ echo " ! grep '^Warning: pin' ${id}.log"
echo " rm -rf ${id}.tmp"
echo " mv ${id}.exp.new ${id}.exp"
done